FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202110160231.p0.git.fcdcef8.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110160231.p0.git.fcdcef8.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fcdcef8 OS_GIT_VERSION=4.8.0-202110160231.p0.git.fcdcef8.assembly.stream-fcdcef8 SOURCE_DATE_EPOCH=1634348276 SOURCE_GIT_COMMIT=fcdcef85ef1f25d36338b4192430235afc6d26d8 SOURCE_GIT_TAG=fcdcef8 SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission-operator 

WORKDIR /go/src/github.com/openshift/cluster-resource-override-admission-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.8.0-202110121407.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202110160231.p0.git.fcdcef8.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202110160231.p0.git.fcdcef8.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fcdcef8 OS_GIT_VERSION=4.8.0-202110160231.p0.git.fcdcef8.assembly.stream-fcdcef8 SOURCE_DATE_EPOCH=1634348276 SOURCE_GIT_COMMIT=fcdcef85ef1f25d36338b4192430235afc6d26d8 SOURCE_GIT_TAG=fcdcef8 SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission-operator 

COPY --from=builder /go/src/github.com/openshift/cluster-resource-override-admission-operator/bin/cluster-resource-override-admission-operator /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift ClusterResourceOverride Operator" \
        io.k8s.description="Manages Pod Resource(s)" \
        io.openshift.tags="openshift,overcommit" \
        com.redhat.delivery.appregistry="False" \
        name="openshift/ose-clusterresourceoverride-rhel8-operator" \
        com.redhat.component="ose-clusterresourceoverride-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202110160231.p0.git.fcdcef8.assembly.stream" \
        io.openshift.build.commit.id="fcdcef85ef1f25d36338b4192430235afc6d26d8" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-resource-override-admission-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-resource-override-admission-operator/commit/fcdcef85ef1f25d36338b4192430235afc6d26d8" \
        version="v4.8.0"

